<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/AccessoryMotorTwoWays.cpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('AccessoryMotorTwoWays_8cpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryMotorTwoWays.cpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*************************************************************</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">project: &lt;Accessories&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">author: &lt;Thierry PARIS&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">description: &lt;Class for a two ways motorized accessory&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">*************************************************************/</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="Accessories_8h.html">Accessories.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef NO_MOTOR</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#ifndef NO_MOTORTWOWAYS</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="classAccessoryMotorTwoWays.html#a648884730c77592674b704e9864d77b0">   12</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryMotorTwoWays.html#a648884730c77592674b704e9864d77b0">AccessoryMotorTwoWays::beginTwoWays</a>(<a class="code" href="classPort.html">Port</a> *inpPort, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inIdRight, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inIdLeft, <span class="keywordtype">int</span> speed, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDurationMilli)</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;{</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    this-&gt;<a class="code" href="classAccessoryMotor.html#a204b97a97847c159cffcb1f5a6face31">AccessoryMotor::begin</a>(inpPort, inIdRight, speed, inDurationMilli);</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    this-&gt;<a class="code" href="classAccessory.html#a57d1cb4de69eb625fc2bb82788591a22">AddMovingPosition</a>(inIdLeft, LEFT);</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;}</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classAccessoryMotorTwoWays.html#aa5e9ffb5bd1d4c97bc0192c229a70df3">   18</a></span>&#160;ACC_STATE <a class="code" href="classAccessoryMotorTwoWays.html#aa5e9ffb5bd1d4c97bc0192c229a70df3">AccessoryMotorTwoWays::MoveToggle</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration, <span class="keywordtype">int</span> inSpeed)</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;{</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keywordflow">if</span> (this-&gt;<a class="code" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">GetState</a>() == LEFT)</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <a class="code" href="classAccessoryMotor.html#ae6fec42eb87b2897fbebe84749361a94">MoveRight</a>(inDuration, inSpeed);</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="keywordflow">return</span> RIGHT;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    }</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <a class="code" href="classAccessoryMotor.html#a839204c654909fd47f6af1595b590d7e">MoveLeft</a>(inDuration, inSpeed);</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keywordflow">return</span> LEFT;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;}</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keywordtype">void</span> AccessoryMotorTwoWays::printAccessory()</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;{</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;    MotorTwoWays : IDRight &quot;</span>));</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    Serial.print(this-&gt;<a class="code" href="classAccessory.html#a4f0410f39fa692494b51bc880714bdd1">GetMovingPositionIdByIndex</a>(0));</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keywordflow">if</span> (this-&gt;<a class="code" href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">GetMovingPositionSize</a>() &gt; 1)</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        Serial.print(F(<span class="stringliteral">&quot; / IDLeft &quot;</span>));</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        Serial.print(this-&gt;<a class="code" href="classAccessory.html#a4f0410f39fa692494b51bc880714bdd1">GetMovingPositionIdByIndex</a>(1));</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    }</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keywordflow">if</span> (this-&gt;<a class="code" href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">GetPort</a>() != NULL)</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    {</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        Serial.print(F(<span class="stringliteral">&quot; / Speed: &quot;</span>));</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        Serial.print(this-&gt;<a class="code" href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">GetPort</a>()-&gt;GetSpeed());</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    }</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; / Delay: &quot;</span>));</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    Serial.print(this-&gt;<a class="code" href="classAccessory.html#ac818b7112183d3d65ec361c8402f927f">GetDebounceDelay</a>());</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; / &quot;</span>));</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordflow">if</span> (this-&gt;<a class="code" href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">GetPort</a>() != NULL)</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        this-&gt;<a class="code" href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">GetPort</a>()-&gt;printPort();</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    Serial.println(F(<span class="stringliteral">&quot; &quot;</span>));</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;}</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#endif </span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classAccessory_html_ac818b7112183d3d65ec361c8402f927f"><div class="ttname"><a href="classAccessory.html#ac818b7112183d3d65ec361c8402f927f">Accessory::GetDebounceDelay</a></div><div class="ttdeci">unsigned int GetDebounceDelay() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00243">Accessory.hpp:243</a></div></div>
<div class="ttc" id="classAccessory_html_ac2883977d969dcde8f078934b4a9ed12"><div class="ttname"><a href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">Accessory::GetPort</a></div><div class="ttdeci">Port * GetPort() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00185">Accessory.hpp:185</a></div></div>
<div class="ttc" id="classAccessory_html_ac4dc998e8f09ac7f94a3e06c56e8d5d4"><div class="ttname"><a href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">Accessory::GetMovingPositionSize</a></div><div class="ttdeci">const uint8_t GetMovingPositionSize() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00323">Accessory.hpp:323</a></div></div>
<div class="ttc" id="classAccessory_html_a4f0410f39fa692494b51bc880714bdd1"><div class="ttname"><a href="classAccessory.html#a4f0410f39fa692494b51bc880714bdd1">Accessory::GetMovingPositionIdByIndex</a></div><div class="ttdeci">unsigned long GetMovingPositionIdByIndex(int inIndex) const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00313">Accessory.hpp:313</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a839204c654909fd47f6af1595b590d7e"><div class="ttname"><a href="classAccessoryMotor.html#a839204c654909fd47f6af1595b590d7e">AccessoryMotor::MoveLeft</a></div><div class="ttdeci">virtual void MoveLeft(unsigned long inDuration = 0, int inSpeed = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00091">AccessoryMotor.hpp:91</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_ae6fec42eb87b2897fbebe84749361a94"><div class="ttname"><a href="classAccessoryMotor.html#ae6fec42eb87b2897fbebe84749361a94">AccessoryMotor::MoveRight</a></div><div class="ttdeci">virtual void MoveRight(unsigned long inDuration = 0, int inSpeed = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00097">AccessoryMotor.hpp:97</a></div></div>
<div class="ttc" id="classAccessory_html_a6b837b3afb75f5eadcde5e1742db5c7d"><div class="ttname"><a href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">Accessory::GetState</a></div><div class="ttdeci">ACC_STATE GetState() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00209">Accessory.hpp:209</a></div></div>
<div class="ttc" id="classAccessoryMotorTwoWays_html_aa5e9ffb5bd1d4c97bc0192c229a70df3"><div class="ttname"><a href="classAccessoryMotorTwoWays.html#aa5e9ffb5bd1d4c97bc0192c229a70df3">AccessoryMotorTwoWays::MoveToggle</a></div><div class="ttdeci">ACC_STATE MoveToggle(unsigned long inDuration = 0, int inSpeed = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotorTwoWays_8cpp_source.html#l00018">AccessoryMotorTwoWays.cpp:18</a></div></div>
<div class="ttc" id="classAccessory_html_a57d1cb4de69eb625fc2bb82788591a22"><div class="ttname"><a href="classAccessory.html#a57d1cb4de69eb625fc2bb82788591a22">Accessory::AddMovingPosition</a></div><div class="ttdeci">uint8_t AddMovingPosition(unsigned long inId, int inPosition)</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00049">Accessory.cpp:49</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a204b97a97847c159cffcb1f5a6face31"><div class="ttname"><a href="classAccessoryMotor.html#a204b97a97847c159cffcb1f5a6face31">AccessoryMotor::begin</a></div><div class="ttdeci">void begin(Port *inpPort, unsigned long inId, int inSpeed, unsigned long inDurationMilli = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00015">AccessoryMotor.cpp:15</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classAccessoryMotorTwoWays_html_a648884730c77592674b704e9864d77b0"><div class="ttname"><a href="classAccessoryMotorTwoWays.html#a648884730c77592674b704e9864d77b0">AccessoryMotorTwoWays::beginTwoWays</a></div><div class="ttdeci">void beginTwoWays(Port *inpPort, unsigned long inIdRight, unsigned long inIdLeft, int inSpeed, unsigned long inDurationMilli = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotorTwoWays_8cpp_source.html#l00012">AccessoryMotorTwoWays.cpp:12</a></div></div>
<div class="ttc" id="Accessories_8h_html"><div class="ttname"><a href="Accessories_8h.html">Accessories.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>AccessoryMotorTwoWays.cpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
